# Files

Use Finix's File API to upload and manage files for your merchants.

**Related Guides:**
- [File Uploads](/guides/platform-payments/onboarding-sellers/seller-onboarding-uploading-files.md)
- [Update Requests](/guides/platform-payments/onboarding-sellers/seller-onboarding-update-requests.md)


## Create a File

 - [POST /files](https://docs.finix.com/api/files/createfile.md): Before uploading a file, you must create a File resource. 

Once created, you can upload your file to the new File resource.

## List Files

 - [GET /files](https://docs.finix.com/api/files/listfiles.md): Retrieve a list of File resources.

## Fetch a File

 - [GET /files/{file_id}](https://docs.finix.com/api/files/getfile.md): Retrieve the details of an existing File.

## List External Links

 - [GET /files/{file_id}/external_links](https://docs.finix.com/api/files/listexternallinks.md): List the previously created External Link resources for a File.

## Create an External Link

 - [POST /files/{file_id}/external_links](https://docs.finix.com/api/files/createexternallink.md): Create an External Link to share with users so they can upload files directly from their browser. For more info, see Uploading files to Finix.

## Upload a File

 - [POST /files/{file_id}/upload](https://docs.finix.com/api/files/uploadfile.md): Upload files directly with a multipart/form-data request.

## Download a File

 - [GET /files/{file_id}/download](https://docs.finix.com/api/files/downloadfile%20file%20that%20was%20uploaded%20to%20a%20%60file%60%20resource..md)

## Fetch an External Link

 - [GET /files/{file_id}/external_links/{external_link_id}](https://docs.finix.com/api/files/getexternallink.md): Fetch a previously created External Link resource.

